Name:          yasm
Version:       1.3.0
Release:       1mamba
Summary:       A complete rewrite of the NASM assembler
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.tortall.net/projects/yasm/
Source:        http://www.tortall.net/projects/yasm/releases/yasm-%{version}.tar.gz
License:       BSD
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Yasm is a complete rewrite of the NASM assembler under the "new" BSD License (some portions are under other licenses, see COPYING for details). Yasm currently supports the x86 and AMD64 instruction sets, accepts NASM and GAS assembler syntaxes, outputs binary, ELF32, ELF64, 32 and 64-bit Mach-O, RDOFF2, COFF, Win32, and Win64 object formats, and generates source debugging information in STABS, DWARF 2, and CodeView? 8 formats. Yasm can be easily integrated into Visual Studio 2005 (see VisualStudio2005) for assembly of NASM or GAS syntax code into Win32 or Win64 object files. 

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Yasm is a complete rewrite of the NASM assembler under the "new" BSD License (some portions are under other licenses, see COPYING for details). Yasm currently supports the x86 and AMD64 instruction sets, accepts NASM and GAS assembler syntaxes, outputs binary, ELF32, ELF64, 32 and 64-bit Mach-O, RDOFF2, COFF, Win32, and Win64 object formats, and generates source debugging information in STABS, DWARF 2, and CodeView? 8 formats. Yasm can be easily integrated into Visual Studio 2005 (see VisualStudio2005) for assembly of NASM or GAS syntax code into Win32 or Win64 object files. 

This package contains static libraries and header files need for development.

%prep

%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/vsyasm
%{_bindir}/yasm
%{_bindir}/ytasm
%{_mandir}/man1/yasm.1.*
%{_mandir}/man7/yasm_arch.7.*
%{_mandir}/man7/yasm_dbgfmts.7.*
%{_mandir}/man7/yasm_objfmts.7.*
%{_mandir}/man7/yasm_parsers.7.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/libyasm/*.h
%{_libdir}/libyasm.a
%{_includedir}/*.h

%changelog
* Tue Aug 12 2014 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Mon Nov 07 2011 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Tue Aug 10 2010 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic update by autodist

* Fri Jun 25 2010 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic update by autodist

* Wed Apr 14 2010 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic update by autodist

* Wed Apr 15 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.0-1mamba
- automatic update by autodist

* Tue Jan 13 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.2-1mamba
- automatic update by autodist

* Sat Aug 30 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.1-1mamba
- package created by autospec
